﻿<%@ Assembly Name="Microsoft.SharePoint.ApplicationPages, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c"%> 
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %> 
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="RH.NoBlogCommentSpam, Version=1.0.0.0, Culture=neutral, PublicKeyToken=6bec7437fecb28d1" %> 
<%@ Page Language="C#" Inherits="RH.NoBlogCommentSpam.RHNoBlogCommentSpamSettingsPage" MasterPageFile="~/_layouts/application.master"%>
<%@ Register Tagprefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" src="~/_controltemplates/ButtonSection.ascx" %>
<asp:Content ID="Content1" contentplaceholderid="PlaceHolderPageTitle" runat="server">No Blog Comment Spam</asp:Content>
<asp:Content ID="Content2" contentplaceholderid="PlaceHolderPageTitleInTitleArea" runat="server">
No Blog Comment Spam:
<a id=onetidListHlink HREF=<% SPHttpUtility.AddQuote(SPHttpUtility.UrlPathEncode(List.DefaultViewUrl,true),Response.Output);%>><%SPHttpUtility.HtmlEncode(List.Title,Response.Output);%></a>
</asp:Content>
<asp:Content ID="Content3" contentplaceholderid="PlaceHolderPageDescription" runat="server"></asp:Content>
<asp:Content ID="Content4" contentplaceholderid="PlaceHolderAdditionalPageHead" runat="server"></asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="PlaceHolderMain" runat="server">
<table><tr><td class="ms-error"><asp:Label ID="LabelErrorMessage" Runat="server" EnableViewState="False" /></td></tr></table>
<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" class="ms-descriptiontext">
<wssuc:InputFormSection runat="server" id="nonAnonymousComments" Title="non anonymous comments">
	<Template_Description>
		<SharePoint:EncodedLiteral runat="server" text="Approve comments from non anonymous users." EncodeMethod='HtmlEncode'/>
		<SharePoint:FormattedStringWithListType runat="server" String="By default, every comment has to be approved. Do you want posts from non anonymous users being approved automatically?" />
	</Template_Description>
   <Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			 <Template_Control>
				<asp:CheckBox ID="ApproveNonAnonymous" Runat="server" Text="approve non anonymous comments" />
			 </Template_Control>
		</wssuc:InputFormControl>
</Template_InputFormControls>
</wssuc:InputFormSection>
<wssuc:InputFormSection runat="server" id="LinkSpamProtection" Title="Link Spam Protection">
	<Template_Description>Recycle a comment, if there are links in the Title or Body</Template_Description>
	<Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			<Template_LabelText>
				<table border=0 cellpadding=0 cellspacing=0>
					<tr>
					<td class="ms-authoringcontrols"><img src="/_layouts/images/link.gif" border="0" alt="" /></td>
					<td class="ms-authoringcontrols">Recycle comments if they contain Urls</td>
					</tr>
				</table>
			</Template_LabelText>
			<Template_Control>
				<table class="ms-authoringcontrols" width="100%">
					<tr>
						<td><asp:CheckBox ID="TitleRecycle" Runat="server" Text="Recycle if there is a Url in the <strong>title</strong>" /></td>
					</tr>
					<tr>
					    <td><asp:CheckBox ID="BodyRecycle" Runat="server" Text="Recycle if there is a Url in the <strong>body</strong>" /></td>
					</tr>
					<tr>
					    <td><asp:CheckBox ID="UrlMatch" Runat="server" Text="Recycle if the same Urls are in the title and body" /></td>
					</tr>
				</table>
			</Template_Control>
		</wssuc:InputFormControl>
	</Template_InputFormControls>
</wssuc:InputFormSection>
<wssuc:InputFormSection runat="server" id="Information" Title="Information">
	<Template_Description>This list will be ignored from the "No Blog Comment Spam' Timer Job, if all checkboxes are deselected.</Template_Description>
	<Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			<Template_LabelText>
				<table border=0 cellpadding=0 cellspacing=0>
					<tr>
					<td class="ms-authoringcontrols" valign="top"><img src="/_layouts/images/hhelp.gif" border="0" alt="" />&nbsp;</td>
					<td class="ms-authoringcontrols">
					    A Timer Job will run every 5 minutes to handle unapproved comments from this list.<br/>
					    Comments, which do not contain links, are not dealed with by the above options. They will be approved automatically.					    
					</td>
					</tr>
				</table>
			</Template_LabelText>
		</wssuc:InputFormControl>
	</Template_InputFormControls>
</wssuc:InputFormSection>
<wssuc:ButtonSection runat="server">
	<Template_Buttons>
		<asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="BtnSave_Click" Text="<%$Resources:wss,multipages_savebutton_text%>" id="BtnSave" accesskey="<%$Resources:wss,multipages_savebutton_accesskey%>"/>
	</Template_Buttons>
</wssuc:ButtonSection>
</TABLE>
</asp:Content>
