﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Administration;
using RH;
using RH.NoBlogCommentSpam;

namespace ExecuteTimerJob
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            using (SPSite site = new SPSite(tbUrl.Text))
            {
                SPContentDatabase db = site.ContentDatabase;
                SPWebApplication webApplication = site.WebApplication;
                //SPFarm farm = webApplication.Farm;
                //SPServiceCollection services = farm.Services;

                //foreach (SPService service in services)
                //{
                //    if (service.Name != "WSS_Administration") continue;

                //    SPProcessIdentityCollection identityCollection = new SPProcessIdentityCollection(service);
                //    foreach (SPProcessIdentity identity in identityCollection)
                //    {
                //        string test = identity.Username;
                //    }
                //    string name = service.Name;
                //}
                
                //SPProcessIdentity identity = farm.AdministrationService.ProcessIdentity;

                //foreach (SPJobDefinition jobDefinition in webApplication.JobDefinitions)
                //{
                //    if (jobDefinition.Title == "NoBlogCommentSpam")
                //    {
                //        jobDefinition.Delete();
                //        webApplication.Update();
                //    }
                //}

                //if (webApplication.Properties.ContainsKey("NoBlogCommentSpam"))
                //{
                //    webApplication.Properties.Remove("NoBlogCommentSpam");
                //    webApplication.Update();
                //}

                foreach (SPJobDefinition job in webApplication.JobDefinitions)
                {
                    if (job.Name != "NoBlogCommentSpam") continue;

                    IList<NoBlogCommentProperty> properties = Common.GetProperties(Convert.ToString(job.Properties["NoBlogCommentSpam"]));
                    DialogResult result = MessageBox.Show("Start Job:\r\n" + Common.GetString(properties) + "\r\n?", "Job", MessageBoxButtons.OKCancel);
                    if (result == DialogResult.OK)
                        job.Execute(db.Id);
                        
                }
            }
        }
    }
}
